Bug 999077 - blockJobInfo python API run success but return None
blockJobInfo python API run success but return None
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
19
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Blake
Fedora Extras Quality Assurance
:
Depends On: 912170 912172 950419 999454
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 13:30 EDT by Eric Blake
Modified: 2013-10-02 02:39 EDT (History)
19 users (show)

See Also:
Fixed In Version: libvirt-1.0.5.6-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 950419
Environment:
Last Closed: 2013-10-02 02:39:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Eric Blake 2013-08-20 13:35:58 EDT
Public summary: Python bindings for managing block operations are broken unless we backport:


commit 0f9e67bfad96c4a2e69769d8a5908ee145a86766
Author: Guannan Ren <gren@redhat.com>
Date:   Fri May 17 14:30:10 2013 +0800

    python: return dictionary without value in case of no blockjob


commit 4b143ab23173000d1afa258726be0ff38cf2b386
Author: Guannan Ren <gren@redhat.com>
Date:   Thu Mar 21 11:24:49 2013 +0800

    python: fix bindings that don't raise an exception
Comment 2 Eric Blake 2013-08-20 13:49:54 EDT
minor correction - 4b143ab was already present in 1.0.4, only 0f9e67b is needed on v1.0.5-maint.  I've now made the backport, so moving this to POST.
Comment 3 Fedora Update System 2013-09-20 17:42:14 EDT
libvirt-1.0.5.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libvirt-1.0.5.6-1.fc19
Comment 4 Fedora Update System 2013-09-21 04:26:23 EDT
Package libvirt-1.0.5.6-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-1.0.5.6-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17279/libvirt-1.0.5.6-1.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-09-24 10:46:30 EDT
libvirt-1.0.5.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libvirt-1.0.5.6-2.fc19
Comment 6 Fedora Update System 2013-10-02 02:39:21 EDT
libvirt-1.0.5.6-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.